package com.example.quiz.data.model.dtos.auth;

public class Agent {
    private Long id;
    private String code;
    private String nom;
    private String prenom;
    private String phone;
    private String zone;
    private String fonction;

    private boolean subAgent;
    public Agent(){}

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getPrenom() {
        return prenom;
    }

    public void setPrenom(String prenom) {
        this.prenom = prenom;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public String getFonction() {
        return fonction;
    }

    public void setFonction(String fonction) {
        this.fonction = fonction;
    }

    public boolean isSubAgent() {
        return subAgent;
    }

    public void setSubAgent(boolean subAgent) {
        this.subAgent = subAgent;
    }
}
